pfSense - Bug #15555

Coredumps not functional for non-root processes.
06/13/2024 02:50 AM - Jonathan Lee

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Operating System Estimated time: 0.00 hour
Target version:

Plus Target Version: Affected Version: All
Release Notes: Default Affected All

Architecture:

Description

Jun 12 19:02:08 kernel pid 80887 (squid), jid 0, uid O: exited on signal 6 (no core dump - bad address)
Jun 12 19:01:48 kernel pid 33418 (squid), jid 0, uid 100: exited on signal 6 (no core dump - bad address)

and or

Jun 12 12:11:40 kernel pid 84728 (squid), jid 0, uid 100: exited on signal 6
Jun 12 12:11:40 kernel pid 84677 (squid), jid 0, uid O: exited on signal 11

Help no coredumps files make it to var/crash folder for squid.

| am trying to pull a core dump for Squid development team however | can not generate one. | would like to bring the Squid
development team into some issues however they want access to the core dumps.

Ref:
https://forum.netgate.com/topic/188691/enable-core-file-dumps-when-an-application-crashes-or-segmentation-faults/
https://forums.freebsd.org/threads/core-dumps.93778/page-2#post-658451

I have worked with Squid Email system and FreeBSD and pfSense netgate community we have created a test file and are able to
create a coredump proof that it is enabled in the pfSense software and functional.

@blackbird9 said:
OK, let's have a little sanity check.

Write this script.

$ cat try.sh

#!/bin/sh

echo "PID $$ sleeping..."

sleep 1000

Make it executable then run it.

Then "kill -11 <pid>" where <pid> is the number the script printed.

Example

$ ./try.sh
PID 148152 sleeping...

$kill -11 148152
Segmentation fault (core dumped)

$ Is Leore*
-av——— 1 me me 450560 Jun 12 21:50 core

Hence, check if you can get any user process to dump a core file.

If it doesn't dump core, check your ulimit -c again.
https://forum.netgate.com/topic/188691/enable-core-file-dumps-when-an-application-crashes-or-segmentation-faults/
https://forums.freebsd.org/threads/core-dumps.93778/page-2#post-658451

Let's prove that your system can actually write a corefile for a process that segfaults.
It should of course write the core file to the current directory.@

This worked i have created a core dump see below however Squid does not generate one.

Shell Output - Is -I /root/sh.core
-rW------- 1 root wheel 11280384 Jun 12 14:02 /root/sh.core

| have used

killall -11 Squid

kill -11 PID for squid

kill -6 PID for squid

kill -11 squid

kill -SIGABRT squid PId

nothing is working.

| have also use the squid directive

coredump_dir /var/log/squid

nothing is generating a coredump file for Squid

History

#1 - 06/13/2024 01:37 PM - Steve Wheeler

- Project changed from pfSense Packages to pfSense

- Subject changed from Squid Coredumps not functional to Coredumps not functional for non-root processes.

- Category changed from Squid to Operating System

- Release Notes set to Default

This is not a Squid specific issue. Services/processes running as non-root users fail to create a core file.

#2 - 06/14/2024 04:18 AM - Jonathan Lee

Thanks for reviewing this.
